<div class="container mt-4">
  <div class="col-md-6 offset-md-3">
    <div class="card">
      <div class="card-body">
        <h2>Makers Chile</h2>
        <p>Crear nueva cuenta</p>

        <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
          <div class="form-group">
            <label for="email">Correo</label>
            <input type="email" formControlName="email" class="form-control" name="email" id="email" placeholder="">
            <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
              <div *ngIf="f.email.errors.required">El correo es requerido</div>
              <div *ngIf="f.email.errors.email">Debes ingresar un correo valido</div>
            </div>
          </div>
          <div class="form-group">
            <label for="name">Nombre</label>
            <input type="text" formControlName="name" class="form-control" id="name" placeholder="">
            <div *ngIf="submitted && f.name.errors" class="invalid-feedback">
              <div *ngIf="f.name.errors.required">El nombre es requerido.</div>
              <div *ngIf="f.name.errors.minlength">El nombre debe tener al menos 6 caracteres</div>
            </div>
          </div>
          <div class="form-group">
            <label for="password">Contraseña</label>
            <input type="password" formControlName="password" class="form-control" id="password" placeholder="">
            <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
              <div *ngIf="f.password.errors.required">La contraseña es requerida</div>
              <div *ngIf="f.password.errors.minlength">La contraseña debe tener al menos 6 caracteres</div>
            </div>
          </div>
          <div class="form-group">
            <label for="passwordConfirm">Repetir contraseña</label>
            <input type="password" formControlName="confirmPassword" class="form-control" id="passwordConfirm" placeholder="">
            <div *ngIf="submitted && f.confirmPassword.errors" class="invalid-feedback">
              <div *ngIf="f.confirmPassword.errors.required">La confirmación de la contraseña es requerida</div>
              <div *ngIf="f.confirmPassword.errors.mustMatch">No coincide con la contraseña ingresada</div>
            </div>
          </div>
          <div class="form-group">
            <label for="role">Rol</label>
            <select class="form-control" formControlName="role" id="role">
              <option *ngFor="let role of roles" [value]="role.value">
                {{ role.text }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label for="institution">Institucion</label>
            <input type="test" formControlName="institution" class="form-control" id="institution" placeholder="">
          </div>
          <button type="submit" class="btn btn-primary" >
            Enviar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>